Subject: Re: bug#21588: 25.0.50: Single quotes becoming curvy quotes in message function

From: Kaushal Modi <[email-masked]>
Date: Tue, 29 Sep 2015 18:54:12 -0400

Thanks for the reply.

Among all the noise about curved quotes, I missed out the discussion about
text-quoting-style. I started paying attention to that only recently when
Paul reverted curved quote stuff in the documentation.

I should have looked at NEWS; sorry about that.

I got my answer; I need to set text-quoting-style to 'straight.

For reference,

(progn
  (message "text-quoting-style = default")
  (let ((text-quoting-style))
    (message "'Hey'")
    (message "`Hey'"))
  (message "text-quoting-style = curve")
  (let ((text-quoting-style 'curve))
    (message "'Hey'")
    (message "`Hey'"))
  (message "text-quoting-style = straight")
  (let ((text-quoting-style 'straight))
    (message "'Hey'")
    (message "`Hey'"))
  (message "text-quoting-style = grave")
  (let ((text-quoting-style 'grave))
    (message "'Hey'")
    (message "`Hey'")))

gives

text-quoting-style = default
’Hey’
‘Hey’
text-quoting-style = curve
’Hey’
‘Hey’
text-quoting-style = straight
'Hey' [2 times]
text-quoting-style = grave
'Hey'
`Hey'

--
Kaushal Modi

On Tue, Sep 29, 2015 at 5:32 PM, Glenn Morris <[email-masked]> wrote:

>
> This has been discussed to death and is documented in NEWS.
> I'm not sure what else there could be left to say.
>